package es.verdnatura.domain

import android.content.Context
import retrofit2.Call

class GetQrReaderUserCase(context: Context) : RestClient(context) {

    fun qr_getCall(
        usuario: String,
        password: String,
        call: String

    ): Call<String> {
        val params: ArrayList<String> = ArrayList()
        params.add(call)
        return restClient!!.qr_getCall(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params = params
        )
    }

}
